Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.codes
Class AuditEventID

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
          org.eclipse.ohf.ihe.atna.audit.codes.AuditEventID

Direct Known Subclasses:
  AuditEventID.ApplicationActivity, AuditEventID.AuditLogUsed, AuditEventID.BeginTransferringDICOMInstances, AuditEventID.DICOMInstancesAccessed, AuditEventID.DICOMInstancesTransferred, AuditEventID.DICOMStudyDeleted, AuditEventID.Export, AuditEventID.Import, AuditEventID.NetworkActivity, AuditEventID.OrderRecord, AuditEventID.PatientRecord, AuditEventID.ProceedureRecord, AuditEventID.Query, AuditEventID.SecurityAlert, AuditEventID.UserAuthentication

    public class AuditEventID

extends CodedValueType

Audit Event ID codes from DICOM Supplement 95

Since:
  OHF 1.0.0
Author:
  Glenn Deen glenn@almaden.ibm.com

Nested Class Summary
`static class` | `AuditEventID.ApplicationActivity` "DCM","110100","Application Activity"
`static class` | `AuditEventID.AuditLogUsed` "DCM","110101","Audit Log Used"
`static class` | `AuditEventID.BeginTransferringDICOMInstances` "DCM","110102","Being Transfering DICOM Instances"
`static class` | `AuditEventID.DICOMInstancesAccessed` "DCM","110103","DICOM Instances Accessed"
`static class` | `AuditEventID.DICOMInstancesTransferred` "DCM","110104","DICOM Instances Transferred"
`static class` | `AuditEventID.DICOMStudyDeleted` "DCM","110105","DICOM Study Deleted"
`static class` | `AuditEventID.Export` "DCM","110106","Export"
`static class` | `AuditEventID.Import` "DCM","110107","Import"
`static class` | `AuditEventID.NetworkActivity` "DCM","110108","Network Activity"
`static class` | `AuditEventID.OrderRecord` "DCM","110109","Order Record"
`static class` | `AuditEventID.PatientRecord` "DCM","110110","Patient Record"
`static class` | `AuditEventID.ProceedureRecord` "DCM","110111","Proceedure Record"
`static class` | `AuditEventID.Query` "DCM","110112","Query"
`static class` | `AuditEventID.SecurityAlert` "DCM","110113","Security Alert"
`static class` | `AuditEventID.UserAuthentication` "DCM","110114", "User Authentication"

Field Summary

Fields inherited from class org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
`DB_Coded_Value_Type`

Method Summary

Methods inherited from class org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
`getCode, getCodeSystem, getCodeSystemName, getDisplayName, getOriginalText, isValidElement, parse, setCode, setCodeSystem, setCodeSystemName, setDisplayName, setOriginalText`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD